Subject: cgroups and docker

From: Adolfo Santiago <[email-masked]>
Date: Sun, 19 Jan 2025 09:56:02 +0100

Hello!

I updated a server to  the latest Alpine Linux available version (3.21.2 at the
moment of writing this email), and after verifying that everything seems to be
working as intended, I deployed a few containers using Docker (root user, it's
not a production server, just for testing).

I noticed that a few containers were giving me this message (this is one of
three):

> ! valkey Your kernel does not support memory limit capabilities or the 
> cgroup is not mounted. Limitation discarded.

The containers that are giving me this message after deploying them work
perfectly, but the warning itself worries me a bit.

I didn't find any information about this, I hope somebody could give me a bit of
support of what I should do.

Thank you!